---
title: Get IP address details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Radar](https://developers.cloudflare.com/api/python/resources/radar)

[Entities](https://developers.cloudflare.com/api/python/resources/radar/subresources/entities)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get IP address details

radar.entities.get(EntityGetParams\*\*kwargs) -> [EntityGetResponse](<https://developers.cloudflare.com/api/python/resources/radar#(resource)%20radar.entities%20%3E%20(model)%20entity_get_response%20%3E%20(schema)>)

GET/radar/entities/ip

Retrieves IP address information.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`User Details Write``User Details Read`

##### ParametersExpand Collapse

ip: str

IP address.

formatipv4

[Link to this property](<#(resource)%20radar.entities%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20ip%20%3E%20(schema)>)

<details>

<summary>

format: Optional\[Literal\["JSON", "CSV"]]

Format in which results will be returned.

</summary>

One of the following:

"JSON"

<a href="#(resource)%20radar.entities%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"CSV"

<a href="#(resource)%20radar.entities%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.entities%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class EntityGetResponse: …

</summary>

<details>

<summary>

ip: IP

</summary>

asn: str

<a href="#(resource)%20radar.entities%20%3E%20(model)%20entity_get_response%20%3E%20(schema)%20%3E%20(property)%20ip%20%3E%20(property)%20asn">Link to this property</a>

asn\_location: str

<a href="#(resource)%20radar.entities%20%3E%20(model)%20entity_get_response%20%3E%20(schema)%20%3E%20(property)%20ip%20%3E%20(property)%20asnLocation">Link to this property</a>

asn\_name: str

<a href="#(resource)%20radar.entities%20%3E%20(model)%20entity_get_response%20%3E%20(schema)%20%3E%20(property)%20ip%20%3E%20(property)%20asnName">Link to this property</a>

asn\_org\_name: str

<a href="#(resource)%20radar.entities%20%3E%20(model)%20entity_get_response%20%3E%20(schema)%20%3E%20(property)%20ip%20%3E%20(property)%20asnOrgName">Link to this property</a>

ip: str

<a href="#(resource)%20radar.entities%20%3E%20(model)%20entity_get_response%20%3E%20(schema)%20%3E%20(property)%20ip%20%3E%20(property)%20ip">Link to this property</a>

ip\_version: str

<a href="#(resource)%20radar.entities%20%3E%20(model)%20entity_get_response%20%3E%20(schema)%20%3E%20(property)%20ip%20%3E%20(property)%20ipVersion">Link to this property</a>

location: str

<a href="#(resource)%20radar.entities%20%3E%20(model)%20entity_get_response%20%3E%20(schema)%20%3E%20(property)%20ip%20%3E%20(property)%20location">Link to this property</a>

location\_name: str

<a href="#(resource)%20radar.entities%20%3E%20(model)%20entity_get_response%20%3E%20(schema)%20%3E%20(property)%20ip%20%3E%20(property)%20locationName">Link to this property</a>

</details>

<a href="#(resource)%20radar.entities%20%3E%20(model)%20entity_get_response%20%3E%20(schema)%20%3E%20(property)%20ip">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.entities%20%3E%20(model)%20entity_get_response%20%3E%20(schema)>)

### Get IP address details

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
entity = client.radar.entities.get(
    ip="8.8.8.8",
)
print(entity.ip)
```

200 example

```
{
  "result": {
    "ip": {
      "asn": "15169",
      "asnLocation": "US",
      "asnName": "GOOGLE",
      "asnOrgName": "Google LLC",
      "ip": "8.8.8.8",
      "ipVersion": "IPv4",
      "location": "GB",
      "locationName": "United Kingdom"
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "ip": {
      "asn": "15169",
      "asnLocation": "US",
      "asnName": "GOOGLE",
      "asnOrgName": "Google LLC",
      "ip": "8.8.8.8",
      "ipVersion": "IPv4",
      "location": "GB",
      "locationName": "United Kingdom"
    }
  },
  "success": true
}
```